Subject: Re: [rtc-linux] state of GEN_RTC vs rtc subsystem

From: Alessandro Zummo <[email-masked]>
Date: Wed, 20 Feb 2008 18:03:25 +0100

On Wed, 20 Feb 2008 10:11:23 -0600
Kumar Gala <[email-masked]> wrote:

> 
> Is the functionality provided by drivers/char/gen_rtc.c completely  
> handled by the rtc subsystem in drivers/rtc?
> 
> I ask for two reasons:
> 1. should we make it mutually exclusive in Kconfig
> 2. I've enabled both and get (we'll my defconfig did):

 They shouldn't be enabled at once. I think a patch 
 for Kconfig has been recently submitted to give a warning
 in such a case.

 rtc-cmos should be able to handle the vast majority of x86
 rtcs out there. 

 The only real open issue is related to the ntp synchronization
 mode and will be solved only when we can get rid of it :)

-- 

 Best regards,

 Alessandro Zummo,
  Tower Technologies - Torino, Italy

  http://www.towertech.it